Description

--- Redmine.pm  (revision 3023)

+++ Redmine.pm  (working copy)

@@ -231,13 +231,15 @@

     my $dbh = connect_database($r);

     my $sth = $dbh->prepare(

-        "SELECT * FROM projects WHERE projects.identifier=? and projects.is_public=true;" 

+        "SELECT * FROM projects WHERE projects.identifier=? and projects.is_public='t';" 

     );

     $sth->execute($project_id);

     my $ret = $sth->fetchrow_array ? 1 : 0;

     $sth->finish();

+    undef $sth;

     $dbh->disconnect();

+    undef $dbh;

     $ret;

 }

@@ -303,10 +305,13 @@

             $ret = 1 if ($ldap->authenticate($redmine_user, $redmine_pass));

           }

           $sthldap->finish();

+          undef $sthldap;

       }

   }

   $sth->finish();

+  undef $sth;

   $dbh->disconnect();

+  undef $dbh;

   if ($cfg->{RedmineCacheCredsMax} and $ret) {

     if (defined $usrprojpass) {

Associated revisions

Revision 3246 - 2009-12-26 13:02 - Jean-Philippe Lang

Fixes Redmine.pm for SQLite (#4205).

Revision 3300 - 2010-01-10 11:17 - Jean-Philippe Lang

Fixes Redmine.pm error "closing dbh with active statement handles at /usr/lib/perl5/Apache/Redmine.pm" (#4205).

History

#1 - 2009-12-26 12:56 - Jean-Philippe Lang

- Category set to SCM

- Status changed from New to Resolved

- Target version set to 0.9.0

Your patch is SQLite specific.

A fix that works with mysql, pg and sqlite3 is committed in r3246.
https://www.redmine.org/projects/redmine/repository/svn/revisions/3246


#2 - 2009-12-26 14:48 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3248.
